> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serial.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Process Entry

> Complete Process Entry



## OpenAPI

````yaml PATCH /processes/entries/{process_entry_id}
openapi: 3.1.0
info:
  title: Serial
  version: '1.0'
  description: Access and control your Serial data programmatically.
  contact:
    name: Devon Copeland
    email: support@serial.io
    url: www.serial.io
  summary: Serial API
servers:
  - url: https://api.serial.io
security:
  - serial-default-security: []
tags:
  - name: AI
    description: AI Endpoints
  - name: Auth
    description: Auth Endpoints
  - name: Companies
    description: Company Endpoints
  - name: Component Instances
    description: Component Instance Endpoints
  - name: Components
    description: Component Endpoints
  - name: Datasets
    description: Dataset Endpoints
  - name: Fields
    description: Field Endpoints
  - name: Legacy
    description: Legacy Endpoints
  - name: Part Numbers
    description: Part Number Endpoints
  - name: Processes
    description: Process Endpoints
  - name: Properties
    description: Property Endpoints
  - name: Storage
    description: Storage Endpoints
  - name: Users
    description: User Endpoints
  - name: Work Orders
    description: Work Order Endpoints
paths:
  /processes/entries/{process_entry_id}:
    parameters:
      - schema:
          type: string
        name: process_entry_id
        in: path
        required: true
        description: Id for the process entry
    patch:
      tags:
        - Processes
      summary: Complete Process Entry
      description: Complete Process Entry
      operationId: patch-processes-entries-process_entry_id
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                is_pass:
                  type: boolean
                  x-stoplight:
                    id: m2x64tgqycm2r
                  description: Manually mark the process entry as a pass.
                cycle_time:
                  type: number
                  x-stoplight:
                    id: miucbcf3df5a0
                  description: >-
                    Manual override of the cycle time for the process entry, in
                    seconds.
                is_complete:
                  type: boolean
                  x-stoplight:
                    id: wiwdr8l2mr04n
                  description: >-
                    Manual override of the upload_error flag. If is_complete is
                    true, upload_error will be marked as false, indicating to
                    Serial that the process entry has completed with no errors.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Process-entry'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    Process-entry:
      title: process-entry
      x-stoplight:
        id: f6yrwtgvwn546
      type: object
      description: A Process Entry object
      properties:
        id:
          type: string
          x-stoplight:
            id: 3id4r4lfw4cja
          format: uuid
          description: Database id of the process entry.
        unique_identifier_id:
          type: string
          x-stoplight:
            id: 4wndy9pvc2w63
          format: uuid
          description: Database id for the associated component instance
        process_id:
          type: string
          x-stoplight:
            id: j308ppfjg0zmp
          format: uuid
          description: Database id for the associated process
        timestamp:
          type: string
          x-stoplight:
            id: zlhjq96he5wwx
          format: time
          description: Timestamp when the process entry was last updated.
        station_id:
          type: string
          x-stoplight:
            id: 8znsdqfy3b44k
          format: uuid
          description: >-
            Optional Database id for the station where the process entry was
            recorded.
        is_pass:
          type: boolean
          x-stoplight:
            id: y8d8ytfcupkrn
          description: >-
            Boolean representing the status of the process entry. May also be
            NULL (no data has been associated with this process entry).

            Will be TRUE if all data associated with the process entry is
            passing, and will be FALSE if at least 1 data associated with the
            entry is failing.
        operator_id:
          type: string
          x-stoplight:
            id: 3669djhlq4hfo
          description: >-
            Optional database id for the operator who created the process
            entrty.
        process_revision:
          type: integer
          x-stoplight:
            id: qsr1hhry1uzvf
          description: Revision of the process associated with the entry.
        upload_error:
          type: boolean
          x-stoplight:
            id: bqxhff95gz8pd
          description: >-
            Boolean indicating the completion of the process entry. If the
            boolean upload_error is false, then the process has been completed
            with all necessary steps. If it is true, then either steps are
            missing or steps have missing data.
        cycle_time:
          type: number
          x-stoplight:
            id: k2kjf8qi3fwr8
          description: >-
            Measure of time between start of process entry and end of data
            gathering. Can also be manually supplied by users.
        override_user_id:
          type: string
          x-stoplight:
            id: q9ku96lc0u7tu
          description: >-
            Database id for the user who overrode the passing state of this
            process entry.
      required:
        - id
        - unique_identifier_id
        - process_id
        - is_pass
        - upload_error
  securitySchemes:
    serial-default-security:
      type: http
      scheme: bearer
      description: '**API Key** or **Token** formatted as `Bearer <YOUR_KEY_OR_TOKEN>`'

````